<!--
  Generated template for the OnboardingPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <page-nav-bar class="fixed-content"></page-nav-bar>
</ion-header>
<ion-content>
  <!-- <page-nav-bar></page-nav-bar> -->
  <div class="themes-container">
    <div class="themes-content">
      <div id="header-tool" [ngClass]="{'banner-container-hiring': tool.category=='Procesos', 'banner-container-onboarding': tool.category == 'Enfoque en el cliente', 'banner-container-leadership': tool.category == 'Conciencia de Sí Mismos y Desarrollo Personal', 'banner-container-team': tool.category == 'Desarrollo y Orientación de Empleados Talentosos', 'banner-containe-curiosidad': tool.category == 'Curiosidad', 'banner-containe-enfoque': tool.category == 'Enfoque de Resultados'}">
        <div class="actions">
          <div class="action favorite">
            <button  (click)="showFavorite(tool.favorite)">
              <ion-icon ios="ios-star-outline" *ngIf="!tool.favorite" md="md-star-outline"></ion-icon>
              <ion-icon ios="ios-star" *ngIf="tool.favorite"  md="md-star"></ion-icon>
              <ion-label>FAVORITO</ion-label>
            </button>
          </div>
          <div class="action shared">
            <button (click)="shared(tool)">
              <ion-icon name="share-alt"></ion-icon>
              <ion-label>COMPARTIR</ion-label>

            </button>
          </div>
        </div>
        <div class="title-toolkit">
          <h3>{{ tool.category }}</h3>
          <h1>{{ tool.title }}</h1>
          <div class="line-title"></div>
        </div>
      </div>
      <div class="body-tool">
        <div class="tag" (click)="goTag(tool)" *ngIf="tool.tag != ''">
          <p>
            <ion-icon ios="ios-pricetag" md="md-pricetag"></ion-icon> {{ tag }}</p>
        </div>
        <div class="body">
          {{ tool.body }}
        </div>
        <div class="image-toolkit">
          <img (click)="showImage(tool.image_banner)" src="{{tool.image_banner}}">
        </div>
        <div class="video-tool" *ngIf="tool.video_tool != ''">
          <div class="container-video-paragraph" *ngFor="let video of tool.video_tool">
            <div class="title-field">
              {{ video.title }}
            </div>
            <div class="box-video">
              <div class="video-enRed">
                <a href="{{ video.en_red }}" target="blank_">Ver en Red</a>
              </div>
              <span>|</span>
              <div class="video-fueraRed">
                <a href="{{ video.fuera_de_red }}" target="blank_">Ver Fuera de Red</a>
              </div>
            </div>
          </div>
        </div>
        <div class="container-steps-paragraph" *ngFor="let step of tool.steps">
          <h1 id="step" [ngClass]="{'step-hiring': tool.category=='Procesos', 'step-onboarding': tool.category =='Enfoque en el cliente', 'step-leadership': tool.category=='Conciencia de Sí Mismos y Desarrollo Personal', 'step-team': tool.category =='Desarrollo y Orientación de Empleados Talentosos'}">
						{{ step.number }}
					</h1>
          <div class="body-steps">
            {{ step.description }}
          </div>
          <div class="content-steps" *ngIf="step.image != '' ||  step.videos != '' ||  step.downloadable != ''">
            <div class="image" *ngIf="step.image != ''">
              <img (click)="showImage(step.image)" src="{{ step.image }}">
            </div>
            <div class="video" *ngIf="step.videos != ''">
              <div class="container-video-paragraph" *ngFor="let video_step of step.videos">
                <div class="title-field">
                  {{ video_step.title }}
                </div>
                <div class="box-video">
                  <div class="video-enRed">
                    <a href="{{ video_step.en_red }}" target="blank_">Ver en Red</a>
                  </div>
                  <span>|</span>
                  <div class="video-fueraRed">
                    <a href="{{ video_step.fuera_de_red }}" target="blank_">Ver Fuera de Red</a>
                  </div>
                </div>
              </div>
            </div>
            <div class="file-entity" *ngIf="step.downloadable !=''">
              <div class="container-video-paragraph" *ngFor="let file_step of step.downloadable">
                <div class="icon-file">
                  <img src="assets/img/download.png">
                </div>
                <div class="file-content">
                  <div class="title-field">
                    {{ file_step.title }}
                  </div>
                  <div class="box-video">
                    <div class="video-enRed">
                      <a href="{{ file_step.en_red }}" target="blank_">Ver en Red</a>
                    </div>
                    <span>|</span>
                    <div class="video-fueraRed">
                      <a href="{{ file_step.fuera_de_red }}" target="blank_">Ver Fuera de Red</a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="resources">
          <div class="header-resource" *ngIf="tool.recurso?.length > 0">
            <h2>Recursos Relacionados</h2>
            <div class="line-resource"></div>
          </div>
          <ion-slides #slides pager class="ion" *ngIf="tool.recurso?.length > 0">
            <ion-slide *ngFor="let resource of tool.recurso" class="slide-resources" (click)="openUrl(resource.url)">
              <div class="circle-character">
                <img src="{{resource.img}}">
              </div>
              <a target="_blank">{{resource.title}}</a>
            </ion-slide>
          </ion-slides>
        </div>
        <div class="comments">
          <div class="header-resource">
            <h2> Comentarios ({{comments?.length}}) </h2>
            <div class="line-resource"></div>
          </div>
          <div class="list-comments">
            <div class="comment" *ngFor="let comment of comments; let in = index">
              <div class="info-comment">
                <div class="image">
                  <div class="image-comment" [style.background-image]="'url(' + comment.userPhoto + ')'"></div>
                  <!-- <img src="{{ comment.userPhoto }}"> -->
                </div>
              </div>
              <div class="comment-text">
                <div class="box-comment">
                  <p>{{ comment.body }}</p>
                </div>
                <div class="information-comment">
                  <h4>{{ comment.userName }} <span *ngIf="comment.date">| {{ comment.date }}</span></h4>
                  
                </div>
                <button  (click)="clicked(in)" class="response_comment" ion-button>Responder ({{ comment.answer?.length }})</button>
                <div class="list-answer" *ngIf="comment.show">
                  <div *ngIf="comment.answer?.length > 0" class="box-answers">
                    <div class="answers" *ngFor="let answer of comment.answer">
                      <!-- <div class="box-answer">
                        {{ answer }}
                      </div> -->
                      <div class="image">
                        <div class="image-comment" [style.background-image]="'url(' + answer.userPhoto + ')'"></div>
                        <!-- <img src="{{ comment.userPhoto }}"> -->
                      </div>
                      <div class="box-comment">
                        <p>{{ answer.body }}</p>
                        <div class="information-comment">
                          <h4>{{ answer.userName }} <span *ngIf="answer.date">| {{ answer.date }}</span></h4>                        
                        </div>
                      </div>
                      
                    </div>
                  </div>
                  <form class="write-comment" [formGroup]="answerForm" (ngSubmit)="onSubmitAnswer(answerForm.value, answerForm.valid, comment)">
                    <ion-item [attr.id]="'answer' + in">
                      <ion-label [attr.id]="'answer-label' + in" floating color="primary">
                        <div class="image-comment" [style.background-image]="'url(' + image + ')'"></div>
                      </ion-label>
                      <ion-textarea [attr.id]="'answer-text' + in" placeholder="Escribe una respuesta" formControlName="answer"></ion-textarea>
                    </ion-item>
                    <button ion-button type="submit">
                      <ion-icon ios="ios-send" md="md-send"></ion-icon>
                    </button>
                  </form>
                </div>
              </div>
            </div>
          </div>
          <div class="write-comment">
            <form [formGroup]="commentForm" (ngSubmit)="onSubmit(commentForm.value, commentForm.valid)">
              <ion-list>
                <ion-item>
                  <ion-label floating color="primary">
                    <!-- <img src="{{user.photo}}"> -->
                     <div class="image-comment" [style.background-image]="'url(' + image + ')'"></div>
                  </ion-label>
                  <!-- <ion-textarea class="comentarios_add" placeholder="Escribe un comentario" formControlName="comentario"></ion-textarea> -->
                  <ion-textarea class="comentarios_add" placeholder="Escribe un comentario" formControlName="comentario"></ion-textarea>
                </ion-item>
                <button ion-button type="submit">
                  <ion-icon ios="ios-send" md="md-send"></ion-icon>
                </button>
              </ion-list>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</ion-content>
 <!-- <div class="image-comment" [style.background-image]="'url(' + comment.userPhoto + ')'"></div> -->